Skip to main content
GET
/
agents
/
{agentId}
/
trade-intents
/
quote
Trade intent signing quote
curl --request GET \
  --url https://alphagrid-api.artiffine-delivery.workers.dev/agents/{agentId}/trade-intents/quote
{
  "agentId": "<string>",
  "vault": "<string>",
  "signer": "<string>",
  "nonce": "<string>",
  "allocation": {
    "used": "<string>",
    "cap": "<string>",
    "available": "<string>"
  },
  "allowedSymbols": [
    "<string>"
  ],
  "trackId": 123,
  "exitBounds": {
    "maxStopLossBps": 123,
    "minTakeProfitBps": 123,
    "maxTakeProfitBps": 123,
    "requireStopLoss": true,
    "requireTakeProfit": true
  },
  "accountRiskBounds": {
    "maxDailyLossBps": 123,
    "maxDrawdownBps": 123
  },
  "dailyRealizedPnlUsdc": "0",
  "defaultExit": [
    {
      "triggerBps": 123,
      "exitBps": 5000
    }
  ],
  "eip712": {
    "domainName": "<string>",
    "domainVersion": "<string>",
    "chainId": 123,
    "verifyingContract": "<string>"
  },
  "tradeRouter": "<string>",
  "token": "<string>"
}

Path Parameters

agentId
string
required
Pattern: ^[1-9]\d*$
Example:

"1"

Query Parameters

symbol
string
Minimum string length: 1
Example:

"NVDA"

Response

Trade intent quote

agentId
string
required
Pattern: ^[1-9]\d*$
vault
string
required
signer
string
required
nonce
string
required
allocation
object
required
allowedSymbols
string[]
required
trackId
integer
required
exitBounds
object
required
accountRiskBounds
object
required
dailyRealizedPnlUsdc
string
required

Net realized PnL today (negative = loss); from TradeRouter.dailyRealizedPnlUsdc

Example:

"0"

defaultExit
object[]
required
eip712
object
required
tradeRouter
string
required
token
string | null